Summary:  3D first-person shooter game
Name:     alephone-marathon
Version:  20150620
Release:  3%{?dist}
License:  Uncertain
Group:    Amusements/Games
URL:      https://alephone.lhowon.org/games/marathon.html
Source0:  marathon.autodlrc
Source1:  alephone-marathon.sh
Source2:  alephone-marathon.jpg
Source3:  alephone-marathon.desktop

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: desktop-file-utils

Requires: alephone

%description
Alien forces have boarded the interstellar colony ship Marathon. 
The situation is dire. As a security officer onboard, it is your 
duty to defend the ship and its crew.

Experience the start of Bungie’s iconic trilogy with Marathon. 
This release uses the original Marathon data files for the most 
authentic experience outside of a classic Mac or emulator.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/AlephOne
cp %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}/AlephOne/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/alephone-marathon.jpg

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE3}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/alephone-marathon.sh
%{_datadir}/AlephOne/marathon.autodlrc
%{_datadir}/pixmaps/alephone-marathon.jpg
%{_datadir}/applications/alephone-marathon.desktop

%changelog
* Mon Feb 19 2018 josef radinger <cheese@nosuchhost.net> - 20150620-3
- fix start-script

* Thu Feb 15 2018 josef radinger <cheese@nosuchhost.net> - 20150620-2
- add icons and desktop-file

* Thu Feb 15 2018 josef radinger <cheese@nosuchhost.net> - 20150620-1
- initial version

